package com.ruoyi.domain.dto;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 费用管理-差旅报销
 * @TableName fygl_travel_on_business
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class FyglTravelOnBusinessDTO extends BaseEntity {
    private Long id;
    //当前用户ID
    private Long currentUserId;
    @Excel(name = "项目编号")
    private String projectNumber;
    @Excel(name = "项目名称")
    private String projectName;
    @Excel(name = "项目类型",dictType = "project_type")
    private String projectType;
    @Excel(name = "出差地点")
    private String travelAddress;
    @Excel(name = "出差事由")
    private String travelCause;
    @Excel(name = "申请报销金额")
    private Double amount;
    @Excel(name = "项目经理")
    private String projectUserName;
    @Excel(name = "审批状态",dictType = "cost_daily_status")
    private Integer status;

    //当前节点id
    private Integer currentAuditRoleId;

    private String createBy;
}