package com.ruoyi.domain.dto;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class FyglTripApplicationDTO extends BaseEntity {
    private Long id;
    //项目id
    private Long projectId;
    //项目编号
    @Excel(name = "项目编号")
    private String projectNumber;
    //项目名称
    @Excel(name = "项目名称")
    private String projectName;
    //项目类型
    @Excel(name = "项目类型",dictType = "project_type")
    private String projectType;
    //出差地点
    @Excel(name = "出差地点")
    private String tripAddress;
    //出差事由
    @Excel(name = "出差事由")
    private String tripReason;
    //预计开始时间
    @Excel(name = "预计开始时间", dateFormat = "yyyy-MM-dd HH:mm:ss")
    private String tripStartDate;
    //预计结束时间
    @Excel(name = "预计结束时间", dateFormat = "yyyy-MM-dd HH:mm:ss")
    private String tripEndDate;
    //出差天数
    private double amount;
    //项目经理
    @Excel(name = "项目经理")
    private String projectUserName;
    //审批状态
    @Excel(name = "审批状态",dictType = "cost_daily_status")
    private Integer status;

    //当前审批节点
    private Integer currentAuditRoleId;

}
