package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.ProjectManage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目管理Mapper接口
 *
 */
public interface ProjectManageMapper
{
    /**
     * 查询项目管理
     *
     * @param id 项目管理主键
     * @return 项目管理
     */
    public ProjectManage selectProjectManageById(@Param("id") Long id);

    /**
     * 查询项目管理列表
     *
     * @param projectManage 项目管理
     * @return 项目管理集合
     */
    public List<ProjectManage> selectProjectManageList(ProjectManage projectManage);

    /*
    * 查询草稿箱项目管理列表
    * */
    public List<ProjectManage> selectProjectManageListDraft(ProjectManage projectManage);

    /**
     * 新增项目管理
     *
     * @param projectManage 项目管理
     * @return 结果
     */
    public int insertProjectManage(ProjectManage projectManage);

    /**
     * 修改项目管理
     *
     * @param projectManage 项目管理
     * @return 结果
     */
    public int updateProjectManage(ProjectManage projectManage);

    /**
     * 删除项目管理
     *
     * @param id 项目管理主键
     * @return 结果
     */
    public int deleteProjectManageById(Long id);

    /**
     * 批量删除项目管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProjectManageByIds(Long[] ids);

    List<ProjectManage> selectProjectManageByProjectName(@Param("projectName") String projectName);

    /*
     * 个人正在进行中的项目
     * */
    public List<ProjectManage> selectPersonalProjectManageList(@Param("projectId") Long projectId);
}
