package com.ruoyi.system.service;

import com.ruoyi.system.domain.ProjectManage;

import java.util.List;

/**
 * 项目管理Service接口
 *
 * @author wangjiancheng
 * @date 2025-02-26
 */
public interface IProjectManageService
{
    /**
     * 查询项目管理
     *
     * @param id 项目管理主键
     * @return 项目管理
     */
    public ProjectManage selectProjectManageById(Long id);

    /**
     * 查询项目管理列表
     *
     * @param projectManage 项目管理
     * @return 项目管理集合
     */
    public List<ProjectManage> selectProjectManageList(ProjectManage projectManage);

    /*
    * 查询草稿箱项目
    * @param projectManage 草稿箱项目管理
    * */
    public List<ProjectManage> selectProjectManageListDraft(ProjectManage projectManage);

    /**
     * 新增项目管理
     *
     * @param projectManage 项目管理
     * @return 结果
     */
    public int insertProjectManage(ProjectManage projectManage);

    /**
     * 修改项目管理
     *
     * @param projectManage 项目管理
     * @return 结果
     */
    public int updateProjectManage(ProjectManage projectManage);

    /**
     * 批量删除项目管理
     *
     * @param ids 需要删除的项目管理主键集合
     * @return 结果
     */
    public int deleteProjectManageByIds(Long[] ids);

    /**
     * 删除项目管理信息
     *
     * @param id 项目管理主键
     * @return 结果
     */
    public int deleteProjectManageById(Long id);

     List<ProjectManage> selectProjectManageByProjectName(String projectName);

}
